# We currently don't ship crystalsvg from kdeartwork because the actions have
# been partially renamed to KDE 4 names, making the theme useless for KDE 3 apps
# and yet not yet useful for KDE 4.

#define include_crystalsvg 1

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	K Desktop Environment - Additional Artwork
Name:      	kdeartwork
Version:   	4.1.1
Release:   	1
License: 	GPLv2
URL:		http://www.kde.org
Group:     	Graphical Desktop/KDE4
Source0: 	kdeartwork-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires:	kdelibs-devel >= %{version}
BuildRequires:	kdebase-workspace-devel >= %{version}
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  qt4-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel
BuildRequires:  libXtst-devel
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  gamin-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel
Requires(post): xdg-utils
Requires(postun): xdg-utils
Requires: 	kdelibs >= %{version}
Requires: 	kdebase-workspace >= %{version}
Obsoletes:	%{name}-icons-crystalsvg <= %{version}

%description
Additional artwork (themes, sound themes, screensavers ...) for KDE.

%if 0%{?include_crystalsvg}
%package icons-crystalsvg
Summary: 	The crystalsvg icon theme
Group:		User Interface/Desktops
Provides: 	crystalsvg-icon-theme = %{version}-%{release}

%description icons-crystalsvg
This package contains the crystalsvg icon theme.
It was the standard theme in KDE3 and is needed for KDE3 applications.
%endif

%package icons
Summary: 	Additional icon themes for KDE
Group: 		User Interface/Desktops
%description icons
This contains icon themes:
* Locolor
* ikons
* kdeclassic
* kids
* slick

%package extras
Summary: 	Artwork Extras, including xscreensaver-based screensavers
Group: 		Amusements/Graphics
Requires: 	kdebase-workspace >= %{version}
BuildRequires: 	xscreensaver
Requires:      	xscreensaver
Requires: 	%{name}-kxs = %{version}-%{release}
%description extras
%{summary}.

%package kxs
Summary: 	Support for xscreensaver-based screensavers
Group: 		Amusements/Graphics
Requires: 	xscreensaver
%description kxs
%{summary}.

%prep
%setup -q


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%if ! 0%{?include_crystalsvg}
rm -rf %{buildroot}%{_kde4_iconsdir}/crystalsvg/
%endif


%clean
rm -rf %{buildroot}


%post icons
%{_bindir}/xdg-icon-resource forceupdate --theme Locolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme ikons 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme kdeclassic 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme kids 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme slick 2> /dev/null || :

%if 0%{?include_crystalsvg}
%post icons-crystalsvg
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%endif

%postun icons
%{_bindir}/xdg-icon-resource forceupdate --theme Locolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme ikons 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme kdeclassic 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme kids 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme slick 2> /dev/null || :

%if 0%{?include_crystalsvg}
%postun icons-crystalsvg
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%endif

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_appsdir}/*
%{_kde4_datadir}/emoticons/*
%{_kde4_datadir}/sounds/*
%{_kde4_datadir}/wallpapers/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/plugins/styles/

%files icons
%defattr(-,root,root,-)
%{_kde4_iconsdir}/Locolor/
%{_kde4_iconsdir}/ikons/
%{_kde4_iconsdir}/kdeclassic/
%{_kde4_iconsdir}/kids/
%{_kde4_iconsdir}/slick/
%{_kde4_iconsdir}/nuvola/

%if 0%{?include_crystalsvg}
%files icons-crystalsvg
%defattr(-,root,root,-)
%{_kde4_iconsdir}/crystalsvg/
%endif

%files extras
%defattr(-,root,root,-)
%{_kde4_bindir}/*.kss
%{_kde4_datadir}/kde4/services/ScreenSavers/*

%files kxs
%defattr(-,root,root,-)
%{_bindir}/kxs*

%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package, exclude crystalsvg icon theme for now
* Tue Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update ( 4.1 RC 1 )
* Wed Jul 01 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Sat Jun 28 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Tue Mar 04 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update, changed packaging scheme
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Initial Release
